> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable a flow for a specific consumer

> Route that can be used to enable a flow for a specific consumer



## OpenAPI

````yaml post /consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}/enable
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}/enable:
    post:
      tags:
        - Syncs
      summary: Enable a flow for a specific consumer
      description: Route that can be used to enable a flow for a specific consumer
      operationId: syncs_enable_syncconsumer
      parameters:
        - name: syncid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Syncid
        - name: flowid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Flowid
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnableFlowConsumer'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '400':
          content:
            application/json:
              example:
                message: >-
                  Impossible to enable the flow as the flow requires
                  configuration fields
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              example:
                message: The consumer does not exist
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          content:
            application/json:
              example:
                message: >-
                  Error while validating context data; the field {field_name}
                  does not seem to be of type {field_type}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Unprocessable Entity
components:
  schemas:
    EnableFlowConsumer:
      properties:
        integrationids:
          items:
            type: string
          type: array
          title: Integrationids
          description: >-
            List of integrationids of the connections that will be used to
            enable the flow
          default: []
        triggerid:
          anyOf:
            - type: string
            - type: 'null'
          title: Triggerid
          default: trigger-1
        cronschedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Cronschedule
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
          description: Object containing the configuration of the flow for the consumer
          default: {}
      type: object
      title: EnableFlowConsumer
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````